﻿using System.Collections.Generic;

namespace SolidOrderSystem
{
    public class DictionaryWithDefault<TKey, TValue> : Dictionary<TKey, TValue>
    {
        public TValue DefaultValue { get; set; }

        public DictionaryWithDefault(TValue defaultValue)
        {
            DefaultValue = defaultValue;
        }

        public TValue GetOrDefault(TKey key)
        {
            if (ContainsKey(key))
            {
                return base[key];
            }
            return DefaultValue;
        }
    }
}
