﻿using System.Collections.Generic;
using System.Linq;

namespace SolidOrderSystem
{
    public class Order
    {
        private readonly List<OrderItem> _orderItems = new List<OrderItem>();

        public void Add(OrderItem item) { _orderItems.Add(item); }

        public decimal CalculateTotal(Customer customer)
        {
            decimal total = _orderItems.Sum(item => item.Cost * item.Quantity);
            decimal tax;
            if (customer.StateCode == "TX")
                tax = total * 0.08m;
            else if (customer.StateCode == "FL")
                tax = total * 0.09m;
            else
                tax = total * 0.03m;
            total = total + tax;
            return total;
        }

    }
}
