﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using SolidOrderSystem;

namespace SolidOrderSystemTests
{
    [TestClass]
    public class OrderTests
    {
        private readonly Customer _customerFl = new Customer { StateCode = "FL" };
        private readonly Customer _customerTx = new Customer { StateCode = "TX" };
        private readonly Customer _customerNy = new Customer { StateCode = "NY" };
        private readonly OrderItem _item1 = new OrderItem {Cost = 2m, Quantity = 1};
        private readonly OrderItem _item2 = new OrderItem {Cost = 3m, Quantity = 2};

        [TestMethod]
        public void CalculateTotalTest()
        {
            
            Order order1 = new Order();
            order1.Add(_item1);
            order1.Add(_item2);
            decimal total = order1.CalculateTotal(_customerFl);
            Assert.AreEqual(8.72m, total);

            total = order1.CalculateTotal(_customerTx);
            Assert.AreEqual(8.64m, total);

            total = order1.CalculateTotal(_customerNy);
            Assert.AreEqual(8.24m, total);
        }
    }
}
